data sp3;
input A  Z Y1 Y2;
subject = _N_;
MY = (sum(of Y1 - Y2)/sqrt(2));
Z = 2*Z/(sqrt(2));
title 1 sp3 sp with wp in a CRD with A;
title 2 covariate constant over sp;
cards;
1 3 10  8
1 5 15 12
1 8 20 14
1 2 12  6
2 1 15 10
2 8 25 20
2 10 20 15
2 2 15 10
;
proc glm;
class A;
model MY = Z A/solution ss1 ss3 P;
title 3 whole plot analysis;
lsmeans A/stderr;
estimate 'regr slope' Z 1;
run;
data two;
input sub A B Y;
cards;
1 1 1 10
1 1 2  8
2 1 1 15
2 1 2 12
3 1 1 20
3 1 2 14
4 1 1 12
4 1 2  6
5 2 1 15
5 2 2 10
6 2 1 25
6 2 2 20
7 2 1 20
7 2 2 15
8 2 1 15
8 2 2 10
;
proc glm;
class sub A B;
model Y = A sub(A) B A*B/ss3 p;
title 3 correct sp analysis;
lsmeans B A*B;
run;
data spcov2;  /*Example 11.2*/
input block whole split Y  Z;
cards;
1 1 1  3 2
1 1 2  4 2
1 1 3  7 2
1 1 4  6 2
1 2 1  3 2
1 2 2  2 2
1 2 3  1 2
1 2 4 14 2
2 1 1  6 3
2 1 2 10 3
2 1 3  1 3
2 1 4 11 3
2 2 1  8 4
2 2 2  8 4
2 2 3  2 4
2 2 4 18 4
3 1 1  6 5
3 1 2 10 5
3 1 3  4 5
3 1 4  4 5
3 2 1 10 5
3 2 2  8 5
3 2 3  9 5
3 2 4 13 5
;

title 'Example 11.2';

proc glm data = spcov2;
class block whole split;
model Y Z = block whole block*whole split split*whole;
manova h = _all_/printh printe;
lsmeans block whole block*whole split split*whole;
quit;

proc glm data = spcov2;
class block whole split;
model Y = block whole block*whole split split*whole Z/solution;
lsmeans whole split split*whole;
run;
